package com.bonus.canteen.core.supply.purchase.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;

@ApiModel
public class DrpProductionDishesNumVO {
   @ApiModelProperty("菜品id")
   private Long dishesId;
   @ApiModelProperty("菜品名称")
   private String dishesName;
   @ApiModelProperty("菜品数量")
   private Integer dishesNum;
   @ApiModelProperty("规格")
   private Integer sizeType;
   @ApiModelProperty("餐次")
   private Integer mealtimeType;
   @ApiModelProperty("日期")
   private LocalDate detailDate;

   public Long getDishesId() {
      return this.dishesId;
   }

   public String getDishesName() {
      return this.dishesName;
   }

   public Integer getDishesNum() {
      return this.dishesNum;
   }

   public Integer getSizeType() {
      return this.sizeType;
   }

   public Integer getMealtimeType() {
      return this.mealtimeType;
   }

   public LocalDate getDetailDate() {
      return this.detailDate;
   }

   public void setDishesId(final Long dishesId) {
      this.dishesId = dishesId;
   }

   public void setDishesName(final String dishesName) {
      this.dishesName = dishesName;
   }

   public void setDishesNum(final Integer dishesNum) {
      this.dishesNum = dishesNum;
   }

   public void setSizeType(final Integer sizeType) {
      this.sizeType = sizeType;
   }

   public void setMealtimeType(final Integer mealtimeType) {
      this.mealtimeType = mealtimeType;
   }

   public void setDetailDate(final LocalDate detailDate) {
      this.detailDate = detailDate;
   }
}
